# uddi2__serviceInfo Class Reference

Schema urn:uddi-org:api_v2:"serviceInfo". More...

`#include <uddi_v2.h>`

List of all members.

## Public Attributes

std::vector< uddi2__name * > | name
| Vector of uddi2__name* with length 0..unbounded.
uddi2__serviceKey | serviceKey
| Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey.
uddi2__businessKey | businessKey
| Attribute businessKey of type "urn:uddi-org:api_v2":businessKey.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"serviceInfo".

## Member Data Documentation

uddi2__businessKey uddi2__serviceInfo::businessKey

| Attribute businessKey of type "urn:uddi-org:api_v2":businessKey. Required attribute

std::vector<uddi2__name* > uddi2__serviceInfo::name

| Vector of uddi2__name* with length 0..unbounded.

uddi2__serviceKey uddi2__serviceInfo::serviceKey

| Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey. Required attribute

struct soap* uddi2__serviceInfo::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h